Loading...
Searching...
No Matches
apr_inherit.h File Reference

APR File Handle Inheritance Helpers. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_DECLARE_INHERIT_SET(type)
#define | APR_DECLARE_INHERIT_UNSET(type)

## Detailed Description

APR File Handle Inheritance Helpers.

Remarks
  This internal header includes internal declaration helpers for other headers to declare apr_foo_inherit_[un]set functions.

## Macro Definition Documentation

## APR_DECLARE_INHERIT_SET

#define APR_DECLARE_INHERIT_SET | ( |  | type | ) |

Value:
APR_DECLARE(apr_status_t) apr_##type##_inherit_set( \
apr_##type##_t *the##type)
apr_status_t
int apr_status_t
Definition apr_errno.h:44
APR_DECLARE
#define APR_DECLARE(type)
Definition apr.h:507

Prototype for type-specific declarations of apr_foo_inherit_set functions.

Remarks
  Doxygen unwraps this macro (via doxygen.conf) to provide actual help for each specific occurrence of apr_foo_inherit_set.
  the linkage is specified for APR. It would be possible to expand the macros to support other linkages.

## APR_DECLARE_INHERIT_UNSET

#define APR_DECLARE_INHERIT_UNSET | ( |  | type | ) |

Value:
APR_DECLARE(apr_status_t) apr_##type##_inherit_unset( \
apr_##type##_t *the##type)

Prototype for type-specific declarations of apr_foo_inherit_unset functions.

Remarks
  Doxygen unwraps this macro (via doxygen.conf) to provide actual help for each specific occurrence of apr_foo_inherit_unset.
  the linkage is specified for APR. It would be possible to expand the macros to support other linkages.